\draw (24,50) node [align=left] {$\displaystyle C_1$};

%1 карта
\linetableone  { }{ }{ }{ }
\linetabletwo  {1}{1}{1}{1}
\linetablethree{1}{1}{ }{1}
\linetablefour { }{ }{1}{ }

%2 карта
\linetablefive  { }{ }{1}{1}
\linetablesix   {1}{1}{ }{ }
\linetableseven {1}{ }{ }{ }
\linetableeight { }{1}{1}{1}

%3 карта
\linetablenine  {1}{1}{1}{1}
\linetableten   { }{ }{ }{ }
\linetableeleven{ }{ }{ }{ }
\linetabletwelve{1}{1}{ }{1}

%4 карта
\linetablethirteen{1}{1}{ }{ }
\linetablefourteen{ }{ }{ }{ }
\linetablefifteen { }{ }{1}{ }
\linetablesixteen {1}{ }{ }{ }
%(̅X₀ & X₂ & ̅X₃ & X₄ & X₅) V (̅X₀ & X₁ & ̅X₃ & X₄) V (̅X₀ & X₁ & ̅X₂ & X₃ & ̅X₄) V (̅X₀ & X₁ & X₂ & ̅X₃ & X₅) V (X₀ & ̅X₁ & ̅X₂ & ̅X₃) V (X₀ & ̅X₁ & ̅X₃ & ̅X₄) V (X₀ & ̅X₂ & ̅X₃ & ̅X₄) V (X₀ & ̅X₁ & ̅X₃ & ̅X₅) V (X₀ & ̅X₃ & ̅X₄ & ̅X₅) V (̅X₀ & X₃ & ̅X₄ & ̅X₅) V (̅X₀ & ̅X₁ & X₃ & ̅X₄) V (̅X₀ & ̅X₁ & ̅X₂ & X₃) V (̅X₀ & ̅X₁ & X₃ & ̅X₅) V (X₀ & X₁ & X₂ & X₃ & X₄ & X₅)
\draw (366,155) node [align=left] {$\displaystyle C_{1} =\begin{Bmatrix}
    0x1011 \\
    01x01x \\
    01010x \\
    0110x1 \\
    1000xx \\
    10x00x \\
    1x000x \\
    10x0x0 \\
    1xx000 \\
    0xx100 \\
    00x10x \\
    0001xx \\
    00x1x0 \\
    111111
    \end{Bmatrix}$ \\
    $S_a^{C_1} = 61,S_b^{c_1} = 75$
};

\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (253,240.5) .. controls (253,236.36) and (256.36,233) .. (260.5,233) .. controls (264.64,233) and (268,236.36) .. (268,240.5) .. controls (268,244.64) and (264.64,248) .. (260.5,248) .. controls (256.36,248) and (253,244.64) .. (253,240.5) -- cycle;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (124,143) .. controls (122.75,129) and (123.75,122.88) .. (130.75,122.94) .. controls (137.75,123) and (135.75,135) .. (136,143) .. controls (136.25,151) and (138.75,149.5) .. (195.25,148.5) .. controls (251.75,147.5) and (254.25,151.5) .. (254.25,143.5) .. controls (254.25,135.5) and (250.58,122.97) .. (259.92,122.74) .. controls (269.25,122.5) and (267.75,126.5) .. (267.25,143.5);
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (254.5,54.5) -- (254.5,77) -- (287,77) -- (287,54.29) -- (300.52,54.29) -- (300.52,145.08) -- (286.21,145.08) -- (286.21,123.08) -- (253,123) -- (253,153);
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (214.46,83.08) -- (246.25,83.08) -- (246.25,98) -- (214.46,98) -- cycle;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }, draw opacity=1] (234.46,123.08) -- (266.25,123.08) -- (266.25,138) -- (234.46,138) -- cycle;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (84.46,192.08) -- (156.25,192.08) -- (156.25,207) -- (84.46,207) -- cycle;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }, draw opacity=1] (116,274) -- (116,254.01) -- (84.75,254.01) -- (84.75,275.01) -- (70.22,275.01) -- (70.22,184.97) -- (85.26,184.97) -- (85.26,207) -- (115.26,207) -- (115.26,186);
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (85.26,181.97) -- (85,207) -- (117,207) -- (117,184) -- (215.27,184) -- (215,207) -- (247,207) -- (247,183.49);
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }, draw opacity=1] (164.75,254) -- (145,254) -- (145,274) -- (95,274) -- (95.37,254.01) -- (74.25,254.01) -- (74,207) -- (96.26,207) -- (96.25,186) -- (145.79,186) -- (146,207) -- (165.79,207);
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (206,253) -- (226.75,253) -- (227,267) -- (147,267) -- (147,252) -- (167,252) -- (165.79,205) -- (147.25,205) -- (146.79,193) -- (225.75,194) -- (226,208) -- (199.86,208);
\draw [color={rgb, 255:red, 255; green, 0; blue, 255 }, draw opacity=1] (74.12,84) -- (97,84) -- (97,116.55) -- (72.17,116.55) -- (72.17,155.03) -- (204.77,155.03) -- (204.77,116.62) -- (227,117) -- (227,84.65) -- (204.3,84.65);
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }, draw opacity=1] (84.46,83.08) -- (116.25,83.08) -- (116.25,117) -- (84.46,117) -- cycle;
\draw [color={rgb, 255:red, 0; green, 255; blue, 255 }, draw opacity=1] (84.46,82.08) -- (156.25,82.08) -- (156.25,97) -- (84.46,97) -- cycle;
\draw [color={rgb, 255:red, 0; green, 255; blue, 0 }, draw opacity=1] (165.2,117.2) -- (145.02,117.2) -- (145.02,83.2) -- (165.02,83.2) -- (165.02,50.2) -- (73.98,50.2) -- (74.12,85) -- (97.76,85) -- (97.76,115) -- (77.76,115);